import React, { Component } from 'react';
import { ResolveThunks } from 'react-redux';
import { toggleSync } from '../../actions';
import { StoreState } from '../../reducers';
type StateProps = ReturnType<typeof mapStateToProps>;
type DispatchProps = ResolveThunks<typeof actionCreators>;
type Props = StateProps & DispatchProps;
declare class SyncButton extends Component<Props> {
    shouldComponentUpdate(nextProps: Props): boolean;
    render(): React.JSX.Element;
}
declare const mapStateToProps: (state: StoreState) => {
    sync: boolean;
};
declare const actionCreators: {
    onClick: typeof toggleSync;
};
declare const _default: import("react-redux").ConnectedComponent<typeof SyncButton, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<SyncButton> | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
